# $Gson$Preconditions

class $Gson$Preconditions
Content copied to clipboard

A simple utility class used to check method Preconditions.

`

    public long divideBy(long value) {
      Preconditions.checkArgument(value != 0);
      return this.value / value;
    }

`

#### Author

Inderjeet Singh

Joel Leitch

## Functions

checkArgument
Link copied to clipboard
open fun checkArgument(condition: Boolean)
Content copied to clipboard
checkNotNull
Link copied to clipboard
open fun <T> checkNotNull(obj: T): T
Content copied to clipboard